Subject: Re: [PATCH next&mainline] oprofile: fix build when CONFIG_PM is disabled

From: Randy Dunlap <[email-masked]>
Date: Wed, 1 Sep 2010 09:57:08 -0700

On Wed, 1 Sep 2010 18:50:02 +0200 Robert Richter wrote:

> On 01.09.10 12:41:32, Randy Dunlap wrote:
> > From: Randy Dunlap <[email-masked]>
> > 
> > Using do/while for a function-returning-a-value does not
> > make gcc happy, so change it to a static inline function.
> > (happens when CONFIG_PM is not enabled)
> > 
> > arch/x86/oprofile/nmi_int.c:784: error: expected expression before 'do'
> > 
> > Signed-off-by: Randy Dunlap <[email-masked]>
> 
> I already sent a fix to Ingo that fixes this.
> 
> Will update my for-next branch as soon as it is applied in tip.

Good.

But I looked at oprofile.git and didn't see any such patch.
Did I miss it there?  Can you point me to it, please?

---
~Randy
*** Remember to use Documentation/SubmitChecklist when testing your code ***